Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PagingSealConfig Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | PagingSealConfig (paging_seal_position, offset, first_page_percent, is_on_perforation, paging_seal_style, is_display_multiple_seal, page_count_for_each_seal)
| Constructor, with parameter. More...
def | Set (paging_seal_position, offset, first_page_percent, is_on_perforation, paging_seal_style, is_display_multiple_seal, page_count_for_each_seal)
| Set value. More...

## Static Public Attributes
| e_PagingSealPositionBottom = _fsdk.PagingSealConfig_e_PagingSealPositionBottom
| Bottom Paging Seal.
| e_PagingSealPositionLeft = _fsdk.PagingSealConfig_e_PagingSealPositionLeft
| Left Paging Seal.
| e_PagingSealPositionRight = _fsdk.PagingSealConfig_e_PagingSealPositionRight
| Right Paging Seal.
| e_PagingSealPositionTop = _fsdk.PagingSealConfig_e_PagingSealPositionTop
| Top Paging Seal.
| e_PagingSealStyleMultipleSignatures = _fsdk.PagingSealConfig_e_PagingSealStyleMultipleSignatures
| Add multiple signatures. Use the Signature to display the appearance of paging seal signature, and these signatures share the same signature data.
| e_PagingSealStyleOneSignature = _fsdk.PagingSealConfig_e_PagingSealStyleOneSignature
| Only add one signature. This signature is used for signature and verification and will be hidden in the PDF document. Use the FoxitPDFSDKPython2.PagingSeal annotation to display the appearance of paging seal signature.
| first_page_percent = _fsdk.PagingSealConfig_first_page_percent
| The percent of the first paging seal. The rest percent will be divided equally by the other paging seals. This parameter should bigger than 0.0, less than 1.0.
| is_display_multiple_seal = _fsdk.PagingSealConfig_is_display_multiple_seal
| Decide whether to display multiple paging seal appearance for current paging seal signature. true means to display multiple paging seal appearance, each count pages use one paging seal appearance, count is set by page_count_for_each_seal. While false means not. This parameter has no effect when the parameter is_on_perforation is true.
| is_on_perforation = _fsdk.PagingSealConfig_is_on_perforation
| Decide whether to chop a seal that covering the left or right margin of each two pages. true means the paging seal signatures will be added to pages in pairs, and the parameter paging_seal_position and the parameter first_page_percent will have no effect. false means not.
| offset = _fsdk.PagingSealConfig_offset
| The offset of paging seal signature. More...
| page_count_for_each_seal = _fsdk.PagingSealConfig_page_count_for_each_seal
| The page count of each seal. This value only useful when the parameter is_display_multiple_seal is true. This value should be larger than 1. If the page count of the last seal is 1, it will be merged with the previous seal to form one seal.
| paging_seal_position = _fsdk.PagingSealConfig_paging_seal_position
| The position of paging seal. Please refer to values starting from FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.
| paging_seal_style = _fsdk.PagingSealConfig_paging_seal_style
| The style of paging seal signature. Please refer to values starting from FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values. More...

## Detailed Description

This class represents paging seal configuration. This configuration can be set by function FoxitPDFSDKPython2.PagingSealSignature.SetPagingSealConfig .

## Constructor & Destructor Documentation

## ◆ PagingSealConfig()

def FoxitPDFSDKPython2.PagingSealConfig.PagingSealConfig | ( |  | paging_seal_position,
|  |  | offset,
|  |  | first_page_percent,
|  |  | is_on_perforation,
|  |  | paging_seal_style,
|  |  | is_display_multiple_seal,
|  |  | page_count_for_each_seal
| ) |  |

Constructor, with parameter.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.PagingSealConfig.Set | ( |  | paging_seal_position,
|  |  | offset,
|  |  | first_page_percent,
|  |  | is_on_perforation,
|  |  | paging_seal_style,
|  |  | is_display_multiple_seal,
|  |  | page_count_for_each_seal
| ) |  |

Set value.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

Returns
  None.

## Member Data Documentation

## ◆ offset

FoxitPDFSDKPython2.PagingSealConfig.offset = _fsdk.PagingSealConfig_offset
| static

The offset of paging seal signature.

This value should not be a negative number. The maximum value of offset is the value of page width or page height minus the width or height of rectangle of paging seal signature. If offset bigger than the maximum value, the maximum will be used.

- For top paging seal and bottom paging seal, this value will be the horizontal offset of the left of signature rectangle.

- For right paging seal,left paging seal, this value will be the vertical offset of the bottom of signature rectangle.

- For the parameter is_on_perforation is true, this value will be the vertical offset of the bottom of signature rectangle.

## ◆ paging_seal_style

FoxitPDFSDKPython2.PagingSealConfig.paging_seal_style = _fsdk.PagingSealConfig_paging_seal_style
| static

The style of paging seal signature. Please refer to values starting from FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealStyleMultipleSignatures and this would be one of these values.

Different styles cannot be converted to each other. Default value: FoxitPDFSDKPython2.PagingSealConfig.e_PagingSealStyleMultipleSignatures .